Page MenuHomePhabricator

Update audit parser for PayPal Express Checkout
Closed, ResolvedPublic2 Story Points

Description

There will be some changes to fields and data, write new audit parsing code to accept either legacy or express records.

Audit files might be available for the test account, which would be nice, but we should probably ask to enable this.

Event Timeline

awight created this task.May 6 2016, 9:52 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 6 2016, 9:52 PM
DStrine triaged this task as Normal priority.May 10 2016, 8:09 PM

Note that the gateway should be set to "paypal_ec".

I'm concerned there might not be a way to distinguish EC recurring charges... We'll see.

Change 325818 had a related patch set uploaded (by Awight):
Change gateway for Express Checkout

https://gerrit.wikimedia.org/r/325818

awight claimed this task.Dec 14 2016, 9:00 PM

Change 325818 merged by jenkins-bot:
Change gateway for Express Checkout

https://gerrit.wikimedia.org/r/325818

Ejegg added a subscriber: Ejegg.

Needed for 1 hour test - without it we will record duplicate contributions

Ejegg closed this task as Resolved.Apr 24 2017, 11:32 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM